Skip to main content
GET
List Benchmark Spec Tasks

Authorizations

X-API-Key
string
header
required

Organization API key

Path Parameters

bench_id
string
required

Query Parameters

task_id
string[] | null

Return only these tasks; repeat the parameter for each task ID.

Maximum array length: 200
split
enum<string> | null

Return only tasks in this split; unassigned selects tasks without one.

Available options:
train,
test,
unassigned
environment
enum<string> | null

Return only tasks whose environment needs setup (missing run command or runtime not ready), is building, failed to build, or is ready to run.

Available options:
setup_needed,
building,
failed,
ready
cursor
string | null
limit
integer
default:25
Required range: 1 <= x <= 200
sort
string | null
order
enum<string>
default:desc
Available options:
asc,
desc
search
string | null

Response

Successful Response

items
BenchmarkSpecTask · object[]
required
has_more
boolean
required
next_cursor
string | null